%global codename fuerte
%global shortname bfl

Name:		ros-%{codename}-bfl
Version:	0.1.0
Release:	1%{?dist}
Summary:	ROS wrapper for the Orocos BFL
License:	LGPLv2+
URL:		http://ros.org/wiki/bfl
Source0:	https://code.ros.org/svn/release/download/stacks/bfl/bfl-%{version}/bfl-%{version}.tar.bz2
BuildRequires:	ros-%{codename}-ros-devel
BuildRequires:	cmake, python-yaml
BuildRequires:	chrpath
# ROS assumes headers are present.
Requires:	orocos-bfl-devel
Provides:	ros-%{shortname} = %{version}-%{release}

%description
This ROS stack is a wrapper for the Orocos Bayesian Filtering Library (BFL).

%prep
%setup -q -c
# We have to do this so the cmake gunk can find itself. So idiotic.
mv %{shortname}-%{version} %{shortname}

%build
# Nothing to do here.

%install
cd %{shortname}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/
cp -a *.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/

%files
%{_datadir}/ros-stacks/%{shortname}/

%changelog
* Wed Jun  6 2012 Tom Callaway <spot@fedoraproject.org> - 0.1.0-1
- initial package
